Integrate PyCharm on Windows - Unable to run pyspark code

python

#1

Hi Team,

I am going through CCA 175 Spark certification course in Udemy. While setting up environment to integrate PyCharm on my windows, PySpark program is not running due to the below error.

CreateProcess error=216, This version of %1 is not compatible with the version of Windows you’re running. Check your computer’s system information and then contact the software publisher

But I’m able to execute the same script on command line. Please help.

I’m using Windows 8.1, 8 GB ram. I’ve the winutils.exe downloaded from below

I’ve installed python 2.7 and using spark 1.6 version with java 1.8 version as mentioned in the demo video.


#2

Hi @iamteja,

What are the modules , that you have added in Pycharm?
Share the screenshot for better understanding.

Thanks and Regards,
Sravan.